import uos

def mkdir_p(path):
    """递归创建目录"""
    try:
        uos.mkdir(path)
    except :
        pass


mkdir_p('mode')
mkdir_p('oled')
mkdir_p('sensor')
mkdir_p('sensor/base_mode')
mkdir_p('sensor/mode')
mkdir_p('sensor/other_sensor')
mkdir_p('temp')
mkdir_p('temp/mode')
mkdir_p('temp/oled')
mkdir_p('temp/sensor')
mkdir_p('temp/sensor/base_mode')
mkdir_p('temp/sensor/mode')
mkdir_p('temp/sensor/other_sensor')
